> For the complete documentation index, see [llms.txt](https://apidocs.alphax.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.alphax.cloud/http/retrieve-data/conduit-v6.md).

# Conduit V6

{% hint style="danger" %}
SECURITY NOTE: Conduit V6 uses GET method so request data forms part of the URL. This means your security token could potentially be stored in browser history or in web server logs.
{% endhint %}

#### Parameters

[See section for HTTP parameters](/http/http-parameters.md).

#### HTTP Method

GET Request&#x20;

#### Base URL

```url
https://api.alphax.cloud/conduitv6
```

#### Default Usage:

```url
https://api.alphax.cloud/conduitv6?id=21xxx42xx37x&ch=1&token=xxxxxxxxxxxxxxxxxxxxxx
```

Returns last one hour data for Channel: 1 of Device: 21xxx42xx37x

#### Get Data by Date Range

```url
https://api.alphax.cloud/conduitv6?token=xxxxxxxxxxxxxxxxxxxxxx&fcdt=1539792000&tcdt=1539840604
```

```json
{
    "val_date":1608171093,
    "dev_netid":"842D8Yxxx754",
    "dev_chid":1,
    "val_raw":14,
    "val_type":"Count",
    "dev_tag":"PAX03",
    "val_description":"Count",
    "dev_site":"City",
    "val_cal":0,
    "val_offset":2,
    "dev_type":"device",
    "dev_label":"Active",
    "dev_powersource":"Battery",
    "dev_network":"LTE CatM1",
    "loc_lat":-38.146664,
    "loc_lng":145.116588,
    "dev_category":"Device",
    "dev_supplier":"Minnovation",
    "dev_model":null,
    "dev_manufacturer":"Minnovation",
    "val_calibrated":16
}
```

Returns all data values from date 1539792000 to 1539840604 for all devices the user has site access to.

#### Get Last Hour Data for All Devices

```url
https://api.alphax.cloud/conduitv6?token=xxxxxxxxxxxxxxxxxxxxxx
```

Returns last one hour data values for each device the user has site access to.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.alphax.cloud/http/retrieve-data/conduit-v6.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
